# -*- mode: makefile -*-
#
# Makefile definitions included by the top Makefile

# The macro below is expanded when 'realpath' is not built-in.
# Built-in 'realpath' is available on GNU Make 3.81.
realpath = $(shell cd $(1); pwd)

ROOT_SRCDIR    := $(call realpath, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/root)
ROOT_OBJDIR    := $(call realpath, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build)

ifndef ROOT_SRCDIR
$(error Error determining ROOT_SRCDIR)
endif
ifndef ROOT_OBJDIR
$(error Error determining ROOT_OBJDIR)
endif

# The macro below strips off the source dir path to make a relative path name
stripsrc = $(subst $(ROOT_SRCDIR)/,,$(1))

# This macro creates the list of pcm files to be passed to a library
# dictionary generation step, something like
#    $(call pcm_rootcling_opt,$(TREELIBDEPM))
pcm_rootcling_opt = -m lib/libCore_rdict.pcm $(addprefix -m ,$(subst $(SOEXT),_rdict.pcm,$1))

# This macro returns the name of the pcm corresponding to a library
#    $(call pcmname,$(TREELIB))
pcmname = $(subst .$(SOEXT),_rdict.pcm,$1)

# This macro returns the list of pcm's that are needed for a package
#    $(call pcmdep,TREE)
# the argument is the upper case name of the library (see the Module.mk)
pcmdep = lib/libCore_rdict.pcm $(subst .$(SOEXT),_rdict.pcm,$($1LIBDEPM))

# This macro builds the rootmap name starting from the library full path
#    $(call rmfName, TREELIB)
# the argument is the upper case name of the library (see the Module.mk)
rmfName = $(dir $1)$(subst .$(SOEXT),.rootmap,$(notdir $1))

# This macro returns the arguments to be passed to rootcling to properly
# generate the rootmap file
#    $(call rootmapModule, TREELIB)
# the argument is the upper case name of the library (see the Module.mk)
rootmapModule = -rml $(notdir $1) -rmf $(call rmfName, $1)

# This macro returns the argument to be passed to rootcling to
# properly setup the pcm
#    $(call dictModule,TREE)
# the argument is the upper case name of the library (see the Module.mk)
dictModule = -s $($1LIB) $(call rootmapModule, $($1LIB)) $(call pcm_rootcling_opt, $($1LIBDEPM))

# This macro is used to setup the rule where the pcm depends on the
# dictionary and the library's dependent pcm's
#    $(call pcmrule,TREE)
# the argument is the upper case name of the library (see the Module.mk)
pcmrule = $(call pcmname, $($1LIB)): $(call pcmdep, $1) $($1DS)

noop = @true # "Do nothing really, this is just to make the rule stick"

ARCH           := macosxarm64
HOST           := 

USECONFIG      := FALSE
MKLIBOPTIONS   := -v 6 26 00 

EXTRA_CFLAGS   := -Iinclude  -std=c++14 -Wc++11-narrowing -Wsign-compare -Wsometimes-uninitialized -Wconditional-uninitialized -Wheader-guard -Warray-bounds -Wcomment -Wtautological-compare -Wstrncat-size -Wloop-analysis -Wbool-conversion -m64 -pipe -W -Wall -Woverloaded-virtual -fsigned-char -fno-common -Qunused-arguments -pthread -stdlib=libc++
USERCONF_CFLAGS:= 
EXTRA_CXXFLAGS := -Iinclude  -std=c++14 -Wc++11-narrowing -Wsign-compare -Wsometimes-uninitialized -Wconditional-uninitialized -Wheader-guard -Warray-bounds -Wcomment -Wtautological-compare -Wstrncat-size -Wloop-analysis -Wbool-conversion -m64 -pipe -W -Wall -Woverloaded-virtual -fsigned-char -fno-common -Qunused-arguments -pthread -stdlib=libc++
USERCONF_CXXFLAGS:= 
EXTRA_LDFLAGS  := -Wl,-search_paths_first -Wl,-headerpad_max_install_names -bind_at_load -m64
WERROR         := 
WINRTDEBUG     := no
CTORSINITARRAY := 
CXXMKDEPFLAGS  := 

BINDIR         := $(ROOTSYS)/bin
LIBDIR         := $(ROOTSYS)/lib
INCDIR         := $(ROOTSYS)/include
ETCDIR         := $(ROOTSYS)/etc
MANDIR         := $(ROOTSYS)/man
DATADIR        := $(ROOTSYS)/.
ELISPDIR       := $(ROOTSYS)/emacs/site-lisp
TTFFONTDIR     := $(ROOTSYS)/fonts
MACRODIR       := $(ROOTSYS)/macros
SRCDIR         := $(ROOTSYS)/src
ICONPATH       := $(ROOTSYS)/icons
DOCDIR         := $(ROOTSYS)/.
TUTDIR         := $(ROOTSYS)/tutorials

BUILDX11       := no
X11INCDIR      := $(filter-out /usr/include, )
X11LIBDIR      := -L
XPMLIBDIR      := -L
XPMLIB         := 

BUILDCOCOA     := 
MACOSXVERS     := 
OSXSDK         := 
IOSVERS        := 
IOSSDK         := 

CXX11          := 
CXX14          := 
CXXMODULES     := OFF
LIBCXX         := 

ENABLETHREAD   := yes
OSTHREADFLAG   := -pthread
OSTHREADLIBDIR := 
OSTHREADLIB    := 

BUILTINFREETYPE:= yes

BUILTINPCRE    := 

BUILTINUNURAN  := 
UNURANLIBDIR   := 
UNURANLIBEXT   := 
UNURANLIB      := 
UNURANINCDIR   := $(filter-out /usr/include, )

BUILTINZLIB    := 
ZLIBLIBDIR     := 
ZLIBCLILIB     := /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/lib/libz.tbd
ZLIBINCDIR     := $(filter-out /usr/include, /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/include)

BUILTINLZMA    := 
LZMALIBDIR     := 
LZMACLILIB     := 
LZMAINCDIR     := $(filter-out /usr/include, )

BUILTINLZ4     := 
LZ4LIBDIR      := 
LZ4CLILIB      := 
LZ4INCDIR      := $(filter-out /usr/include, )

BUILDGL        := 
OPENGLLIBDIR   := 
OPENGLULIB     := /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/System/Library/Frameworks/OpenGL.framework
OPENGLLIB      := /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/System/Library/Frameworks/OpenGL.framework
OPENGLINCDIR   := $(filter-out /usr/include, /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/System/Library/Frameworks/OpenGL.framework)

BUILTINGL2PS   := 
GL2PSLIBDIR    := 
GL2PSLIB       := 
GL2PSINCDIR    := $(filter-out /usr/include, )

BUILDMYSQL     := 
MYSQLLIBDIR    := 
MYSQLCLILIB    := 
MYSQLINCDIR    := $(filter-out /usr/include, )

BUILDORACLE    := 
ORACLELIBDIR   := 
ORACLECLILIB   := 
ORACLEINCDIR   := $(filter-out /usr/include, )

BUILDPGSQL     := 
PGSQLLIBDIR    := 
PGSQLCLILIB    := 
PGSQLINCDIR    := $(filter-out /usr/include, )

BUILDSQLITE     := 
SQLITELIBDIR    := 
SQLITECLILIB    := 
SQLITEINCDIR    := $(filter-out /usr/include, /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/include)

BUILDODBC      := 
ODBCLIBDIR     := 
ODBCCLILIB     := 
ODBCINCDIR     := $(filter-out /usr/include, )

BUILDDAVIX      := 
DAVIXLIBDIR     := 
DAVIXCLILIB     := /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/builtins/davix/DAVIX-prefix/lib/libdavix.a
DAVIXINCDIR     := $(filter-out /usr/include, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/builtins/davix/DAVIX-prefix/include/davix)

BUILDDCAP      := 
DCAPLIBDIR     := 
DCAPLIB        := 
DCAPINCDIR     := $(filter-out /usr/include, )

BUILDFTGL      := 
FTGLLIBDIR     := 
FTGLLIBS       := FTGL
FTGLINCDIR     := $(filter-out /usr/include, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/root/graf3d/ftgl/inc)
ifeq ($(BUILDFTGL), yes)
FTGLCPPFLAGS   := -DBUILTIN_FTGL
endif

BUILDGLEW      := 
GLEWLIBDIR     := 
GLEWLIBS       := GLEW::GLEW
GLEWINCDIR     := $(filter-out /usr/include, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/root/builtins/glew/inc)
ifeq ($(BUILDGLEW), yes)
GLEWCPPFLAGS   := -DBUILTIN_GLEW
endif

BUILDGFAL      := 
GFALLIBDIR     := 
GFALCLILIB     := 
GFALINCDIR     := $(filter-out /usr/include, )
SRMIFCEINCDIR  := $(filter-out /usr/include, )
GLIB2INCDIR    := $(filter-out /usr/include, )

BUILDALIEN     := 
ALIENLIBDIR    := 
ALIENCLILIB    := 
ALIENINCDIR    := $(filter-out /usr/include, )

BUILDASIMAGE   := 
BUILTINASIMAGE := On
ASEXTRALIB     := /usr/X11R6/lib/libpng.dylib;/Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/lib/libz.tbd
ASEXTRALIBDIR  := 
ASJPEGINCDIR   := $(filter-out /usr/include, JPEG_INCLUDE_DIR-NOTFOUND)
ASPNGINCDIR    := $(filter-out /usr/include, /usr/X11R6/include)
ASTIFFINCDIR   := $(filter-out /usr/include, TIFF_INCLUDE_DIR-NOTFOUND)
ASINCDIR       := $(filter-out /usr/include, )
ASLIB          := 
ASLIBDIR       := 

BUILDFPYTHIA6    := 
FPYTHIA6LIBDIR   := 
FPYTHIA6LIB      := 
FPYTHIA6CPPFLAGS := 

BUILDFPYTHIA8    := 
FPYTHIA8INCDIR   := $(filter-out /usr/include, )
FPYTHIA8LIBDIR   := 
FPYTHIA8LIB      := 

BUILDFFTW3     := yes
FFTW3LIBDIR    := 
FFTW3LIB       := 
FFTW3INCDIR    := $(filter-out /usr/include, )

BUILDFITSIO    := yes
CFITSIOLIBDIR  := 
CFITSIOLIB     := 
CFITSIOINCDIR  := $(filter-out /usr/include, )

BUILDGVIZ      := 
GRAPHVIZLIBDIR := 
GRAPHVIZLIB    := 
GRAPHVIZINCDIR := $(filter-out /usr/include, )
GRAPHVIZCFLAGS := 

BUILDPYTHON    := 
PYTHONLIBDIR   := /Library/Developer/CommandLineTools/Library/Frameworks/Python3.framework/Versions/3.8/lib
PYTHONLIB      := /Library/Developer/CommandLineTools/Library/Frameworks/Python3.framework/Versions/3.8/lib/libpython3.8.dylib
PYTHONINCDIR   := $(filter-out /usr/include, /Library/Developer/CommandLineTools/Library/Frameworks/Python3.framework/Versions/3.8/include/python3.8)
PYTHONLIBFLAGS := 
PYTHONEXE      := 

BUILDRUBY      := 
RUBYLIBDIR     := 
RUBYLIB        := 
RUBYINCDIR     := $(filter-out /usr/include, )

BUILDXML       := 
XMLLIBDIR      := 
XMLCLILIB      := /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/lib/libxml2.tbd
XMLINCDIR      := $(filter-out /usr/include, /Library/Developer/CommandLineTools/SDKs/MacOSX11.3.sdk/usr/include/libxml2)

HASXRD         := 
XRDINCDIR      := 
XRDLIBDIR      := 
EXTRA_XRDFLAGS := 
XRDVERSION     := 
HASXRDUTILS    := 
XRDINCPRIVATE  := 
BUILDNETXNG    := yes
BUILDXPROOFD   := 
BUILDXRDCLT    := 

ALLOCLIB       := 
ALLOCLIBDIR    := 

BUILDMONALISA  := 
MONALISALIBDIR := 
MONALISACLILIB := 
MONALISAINCDIR := $(filter-out /usr/include, )

BUILDTBB       := 
TBBLIBDIR      := 
TBBLIB         := 
TBBINCDIR      := $(filter-out /usr/include, )

SSLLIB         := /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/builtins/openssl/OPENSSL-prefix/lib/libssl.a;/Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/builtins/openssl/OPENSSL-prefix/lib/libcrypto.a
SSLLIBDIR      := 
SSLINCDIR      := $(filter-out /usr/include, /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/builtins/openssl/OPENSSL-prefix/include)
SSLSHARED      := 

BUILTINLZMA    := 
LZMALIBDIR     := 
LZMACLILIB     := 
LZMAINCDIR     := $(filter-out /usr/include, )

SHADOWFLAGS    := Off
SHADOWLIB      :=
SHADOWLIBDIR   :=

BUILDMATHMORE  := yes
GSLFLAGS       := $(filter-out -I/usr/include, )
GSLLIBDIR      := 
GSLLIBS        := /Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/lib/libgsl.a;/Users/sftnight/build/ws/BUILDTYPE/Release/LABEL/mac11arm/V/6-26/build/lib/libgslcblas.a
GSLVERSION     := 

BUILTINLLVM    := 
LLVMCONFIG     := 

BUILDROOFIT    := 

BUILDMINUIT2   := 

BUILDUNURAN    := 

BUILDVC        := 
BUILDVDT       := 
AVXCXXFLAG     := 
SIMDCXXFLAGS   :=  
VCFLAGS        :=  

BUILDGDML      := 

BUILDTABLE     := 

BUILDTMVA      := 

BUILDHTTP      := 
USEFASTCGI     := no
FASTCGIINCDIR  := 
ifeq ($(USEFASTCGI), no)
FASTCGIFLAGS   := -DHTTP_WITHOUT_FASTCGI
endif

CPPUNIT        := 
GCCXML         := 

INSTALL        := cp -dpR
INSTALLDATA    := cp -dpR
INSTALLDIR     := mkdir -p
RSYNC          := rsync -au

BUILDR         := 
RLIBS          := 
RFLAGS         := 

ROOTDRPMREL    := 1
